# friendlyr

## Description
Make remote timeserie dataset easy to get and to work with.

    The package focuses on:
    1. importing key functions from a chosen remote dataset
    2. authentication to the related database/api
    3. having access to the related database/api
    4. having timeserie dataset in a friendly format
    5. checking the date timeserie
    6. having metadata



## Installation

### with R
```R
library("devtools")
devtools::install_git("git@git.nilu.no:rfriendlyr/friendlyr.git")
```

### with git and R

In your [git] terminal write:
```shell

cd ~/
# if windows cd ~/Documents

mkdir tmp_friendlyr
cd tmp_friendlyr
git clone git@git.nilu.no:rfriendlyts/friendlyts.git
git clone git@git.nilu.no:rfriendlyr/friendlyr.git
```

In R, write:
```r
install.packages("~/tmp_friendlyr/friendlyts",repos=NULL,type="source",dependencies = "Imports")
install.packages("~/tmp_friendlyr/friendlyr",repos=NULL,type="source",dependencies = "Imports")
```

In a terminal, write:
```shell
cd ..
rm -r tmp_friendlyr
```
